---
title: Evidence file upload
slug: reference/evidence-file-upload
docTags: 
createdAt: 2026-08-23T06:01:06.452Z
---

{
  "id": "yrVXtmyhHHwK6uK--YQBX",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.forter-secure.com/v3/disputes/evidence/file",
    "servers": [
      {
        "url": "https://api.forter-secure.com/v3/disputes/evidence/file"
      }
    ],
    "name": "Evidence file upload",
    "description": "Upload a single file as dispute evidence.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "api-version",
          "type": "string",
          "example": "10.3",
          "description": "Specify the version of the API to target."
        },
        {
          "kind": "required",
          "name": "x-forter-siteid",
          "type": "string",
          "example": "a1b2c3d4e5f6",
          "description": "<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "Upload a single file as dispute evidence.",
          "customType": "disputeEvidenceFileRequestRequest",
          "schema": [
            {
              "name": "evidenceType",
              "kind": "required",
              "type": "string<PROOF_OF_DELIVERY | PROOF_OF_REFUND | CUSTOMER_CORRESPONDENCE | CONTRACT_PAGE | INVOICE | RECURRING_BILLING_AGREEMENT | PROOF_OF_RECURRING_AGREEMENT_NOTICE | ACCEPTANCE_OF_RECURRING_BILLING_AGREEMENT | PROOF_OF_REQUESTED_CANCELLATION | PROOF_OF_ORDER_REPLACEMENT | PROOF_OF_POSSESSION_OR_USAGE | SOCIAL_NETWORK_REPUTATION | PROOF_OF_RESIDENCE | EMAIL_CONFIRMATION | PASSENGER_OR_CUSTOMER_DETAILS | FLIGHT_MANIFEST | HOTEL_NO_SHOW | AUTHENTICATION_CERTIFICATE | TERMS_AND_CONDITIONS | USER_TERMS_AND_CONDITION_ACCEPTANCE | CARDHOLDER_VERIFICATION_DOCUMENT | RELATED_INVOICE_HISTORY | PURCHASE_HELD_IN_CUSTOMS | DELAY_DISCLOSURE | BUYER_REVIEW_SURVEY | ITEM_DESCRIPTION | OTHER>",
              "description": "<p>The type of evidence being uploaded.\nThe following types are supported:</p>\n<ul>\n<li>PROOF_OF_DELIVERY</li>\n<li>PROOF_OF_REFUND</li>\n<li>CUSTOMER_CORRESPONDENCE</li>\n<li>CONTRACT_PAGE</li>\n<li>INVOICE</li>\n<li>RECURRING_BILLING_AGREEMENT</li>\n<li>PROOF_OF_RECURRING_AGREEMENT_NOTICE</li>\n<li>ACCEPTANCE_OF_RECURRING_BILLING_AGREEMENT</li>\n<li>PROOF_OF_REQUESTED_CANCELLATION</li>\n<li>PROOF_OF_ORDER_REPLACEMENT</li>\n<li>PROOF_OF_POSSESSION_OR_USAGE</li>\n<li>SOCIAL_NETWORK_REPUTATION</li>\n<li>PROOF_OF_RESIDENCE</li>\n<li>EMAIL_CONFIRMATION</li>\n<li>PASSENGER_OR_CUSTOMER_DETAILS</li>\n<li>FLIGHT_MANIFEST</li>\n<li>HOTEL_NO_SHOW</li>\n<li>AUTHENTICATION_CERTIFICATE</li>\n<li>TERMS_AND_CONDITIONS</li>\n<li>USER_TERMS_AND_CONDITION_ACCEPTANCE</li>\n<li>CARDHOLDER_VERIFICATION_DOCUMENT</li>\n<li>RELATED_INVOICE_HISTORY</li>\n<li>PURCHASE_HELD_IN_CUSTOMS</li>\n<li>DELAY_DISCLOSURE</li>\n<li>BUYER_REVIEW_SURVEY</li>\n<li>OTHER</li>\n</ul>",
              "example": "PROOF_OF_DELIVERY",
              "enum": [
                "PROOF_OF_DELIVERY",
                "PROOF_OF_REFUND",
                "CUSTOMER_CORRESPONDENCE",
                "CONTRACT_PAGE",
                "INVOICE",
                "RECURRING_BILLING_AGREEMENT",
                "PROOF_OF_RECURRING_AGREEMENT_NOTICE",
                "ACCEPTANCE_OF_RECURRING_BILLING_AGREEMENT",
                "PROOF_OF_REQUESTED_CANCELLATION",
                "PROOF_OF_ORDER_REPLACEMENT",
                "PROOF_OF_POSSESSION_OR_USAGE",
                "SOCIAL_NETWORK_REPUTATION",
                "PROOF_OF_RESIDENCE",
                "EMAIL_CONFIRMATION",
                "PASSENGER_OR_CUSTOMER_DETAILS",
                "FLIGHT_MANIFEST",
                "HOTEL_NO_SHOW",
                "AUTHENTICATION_CERTIFICATE",
                "TERMS_AND_CONDITIONS",
                "USER_TERMS_AND_CONDITION_ACCEPTANCE",
                "CARDHOLDER_VERIFICATION_DOCUMENT",
                "RELATED_INVOICE_HISTORY",
                "PURCHASE_HELD_IN_CUSTOMS",
                "DELAY_DISCLOSURE",
                "BUYER_REVIEW_SURVEY",
                "ITEM_DESCRIPTION",
                "OTHER"
              ]
            },
            {
              "name": "filePath",
              "kind": "required",
              "type": "string",
              "description": "An S3 pointer for the file",
              "example": "s3:/ /forter-bucket/client-folder/dispute-evidence/example-16451.pdf",
              "pattern": "s3:.+\\.(pdf|jpg|jpeg|png|PDF|JPG|JPEG|PNG)"
            },
            {
              "name": "orderId",
              "kind": "optional",
              "type": "string",
              "conditional": true,
              "nullable": true,
              "description": "Conditional.\n<p>Unique order/transaction identifier. Should match the order id sent to Forter at checkout. Note that Forter treats this ID as case-insensitive; Order123 and ORDER123 will be identified as the same order.</p>",
              "example": "4306795",
              "maxLength": 40
            },
            {
              "name": "processorCaseNumber",
              "kind": "optional",
              "type": "string",
              "conditional": true,
              "nullable": true,
              "description": "Conditional.\nThe case number from the payment processor.",
              "example": "CB-4343343219",
              "maxLength": 40
            },
            {
              "name": "processorChargeId",
              "kind": "optional",
              "type": "string",
              "nullable": true,
              "description": "<p>The unique identifier of the payment, such as Acquirer Reference Number (ARN).</p>",
              "example": "111111111",
              "maxLength": 100
            }
          ],
          "modelRef": "#/components/schemas/disputeEvidenceFileRequestRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "basicAuth",
          "name": "basicAuth",
          "kind": "optional",
          "type": "http",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Example disputeEvidenceFileResponse",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "The response object following uploading dispute evidence file request to the system",
            "customType": "disputeEvidenceFileResponse",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "",
                "description": "The message containing status response text",
                "example": "EVIDENCE_UPLOADED",
                "enum": [
                  "EVIDENCE_UPLOADED"
                ],
                "maxLength": 1000
              },
              {
                "name": "status",
                "kind": "required",
                "type": "",
                "description": "Status of the request processing",
                "example": "SUCCESS",
                "enum": [
                  "SUCCESS"
                ],
                "maxLength": 50
              }
            ],
            "modelRef": "#/components/schemas/disputeEvidenceFileResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string<CLAIM_NOT_FOUND | SCHEMA_VALIDATION_FAILED>",
                "description": "The message containing status response text",
                "example": "CLAIM_NOT_FOUND",
                "enum": [
                  "CLAIM_NOT_FOUND",
                  "SCHEMA_VALIDATION_FAILED"
                ]
              },
              {
                "name": "status",
                "kind": "required",
                "type": "string<FAILED>",
                "description": "Status of the request processing",
                "example": "FAILED",
                "enum": [
                  "FAILED"
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "<p>Unauthorized (No valid API key provided)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "<p>Not Found (The requested item doesn't exist)</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Server Error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string<SERVICE_UNAVAILABLE>",
                "description": "The message containing status response text",
                "example": "SERVICE_UNAVAILABLE",
                "enum": [
                  "SERVICE_UNAVAILABLE"
                ]
              },
              {
                "name": "status",
                "kind": "required",
                "type": "string<FAILED>",
                "description": "Status of the request processing",
                "example": "FAILED",
                "enum": [
                  "FAILED"
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "0NIyciMwalTWg39wLjgd6",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.forter-secure.com/v3/disputes/evidence/file \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'api-version: 10.3' \\\n     --header 'x-forter-siteid: a1b2c3d4e5f6' \\\n     --data '{\n     \"evidenceType\": \"PROOF_OF_DELIVERY\",\n     \"filePath\": \"s3:/ /forter-bucket/client-folder/dispute-evidence/example-16451.pdf\"\n     }'"
        },
        {
          "id": "LmfVkypLPBRCuB0WotLA_",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"api-version\", \"10.3\");\nmyHeaders.append(\"x-forter-siteid\", \"a1b2c3d4e5f6\");\n\nvar raw = JSON.stringify({\n   \"evidenceType\": \"PROOF_OF_DELIVERY\",\n   \"filePath\": \"s3:/ /forter-bucket/client-folder/dispute-evidence/example-16451.pdf\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.forter-secure.com/v3/disputes/evidence/file\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "EaPQSttcObjoGgoeg7pi2",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.forter-secure.com/v3/disputes/evidence/file\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"api-version\"] = \"10.3\"\nrequest[\"x-forter-siteid\"] = \"a1b2c3d4e5f6\"\nrequest.body = JSON.dump({\n   \"evidenceType\": \"PROOF_OF_DELIVERY\",\n   \"filePath\": \"s3:/ /forter-bucket/client-folder/dispute-evidence/example-16451.pdf\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "HLEiW5FESjVV8o3zUo4h1",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.forter-secure.com/v3/disputes/evidence/file\"\n\npayload = json.dumps({\n   \"evidenceType\": \"PROOF_OF_DELIVERY\",\n   \"filePath\": \"s3:/ /forter-bucket/client-folder/dispute-evidence/example-16451.pdf\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'api-version': '10.3',\n   'x-forter-siteid': 'a1b2c3d4e5f6'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "0NIyciMwalTWg39wLjgd6"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Example disputeEvidenceFileResponse\n{\n  \"message\": \"EVIDENCE_UPLOADED\",\n  \"status\": \"SUCCESS\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n{\n  \"message\": \"CLAIM_NOT_FOUND\",\n  \"status\": \"FAILED\"\n}"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Unauthorized (No valid API key provided)\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found (The requested item doesn't exist)\n"
        },
        {
          "id": "response-4-500",
          "language": "500",
          "code": "// Server Error\n{\n  \"message\": \"SERVICE_UNAVAILABLE\",\n  \"status\": \"FAILED\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}